
;-| Super Motions |--------------------------------------------------------


;-| Special Motions |------------------------------------------------------


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "ha" ;Required (do not remove)
command = /$a
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;supers
;---------------------------------------------------------------------------

;rocket
[State -1, rocket]
type = ChangeState
value = 6005
triggerall = (command != "ha") && (var(0) = 30) && (var(2) != 0 || var(3) != 0)
trigger1 = ctrl && statetype != C
trigger2 = stateno = 10000 || stateno = 6000

;spin
[State -1, spinaroonie]
type = ChangeState
value = 6003
triggerall = (command != "ha") && (var(0) = 30) && (command != "holdfwd") && (command != "holdup") && (command != "holdback") ;&& ((statetype = A) && (command != "holddown")) 
trigger1 = ctrl
trigger2 = statetype = C || stateno = 6000


;===========================================================================
;specials
;---------------------------------------------------------------------------
;roll
[State -1, belly roll]
type = ChangeState
value = 6000
triggerall = command = "x" || command = "y"
trigger1 = ctrl
trigger2 = (stateno = 6000 && time >=21) || (stateno = 210 && time >= 8) || stateno = 10000 || (stateno = [6003,6011])


;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
[State -1, Run Fwd]
type = null;ChangeState
value = 100
trigger1 = command = "FF" && statetype = S && ctrl

;---------------------------------------------------------------------------
;Run Back
[State -1, Run Back]
type = null;ChangeState
value = 105
trigger1 = command = "BB" && statetype = S && ctrl
;---------------------------------------
;lookup
[State -1, fuck off]
type = ChangeState
value = 10000
triggerall = command = "holdup"
trigger1 = statetype = S && ctrl

;jump
[State -1, might as well jump]
type = ChangeState
value = 40
triggerall = command = "b"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 10000
;----------------------------------------------------------------------------
;ground A
[State -1, A]
type = ChangeState
value = 200
triggerall = command = "a" 
trigger1 = statetype != A  && ctrl
trigger2 = stateno = 200 && time >= 8

;----------------------------------------------------------------------------
;air A
[State -1, A]
type = ChangeState
value = 210
triggerall = command = "a" 
trigger1 = statetype = A  && ctrl
trigger2 = (stateno = 210 && time >= 8) || (stateno = 6000 && time >=21)
